
#include "game/breakout/main.h"
#include "lib/spriterenderer/data.h"
#include <stdint.h>

n23_spriterenderer_spritebase brick_sprite = {
    .width = BRICK_WIDTH,
    .height = BRICK_HEIGHT,
    .data = {
        0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, //
        3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, //
        3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, //
        3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, //
        3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, //
        3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, //
        3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, //
        3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, //
        3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, //
        0, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 0,
    }};

n23_spriterenderer_spritebase ball_sprite = {.width = BALL_RADIUS * 2,
                                             .height = BALL_RADIUS * 2,
                                             .data = {
                                                 0, 0, 0, 3, 3, 0, 0, 0, //
                                                 0, 3, 3, 3, 3, 3, 3, 0, //
                                                 0, 3, 3, 2, 2, 2, 2, 0, //
                                                 3, 3, 2, 2, 2, 2, 2, 1, //
                                                 3, 3, 2, 2, 2, 2, 2, 1, //
                                                 0, 2, 2, 2, 2, 1, 1, 0, //
                                                 0, 2, 2, 1, 1, 1, 1, 0, //
                                                 0, 0, 0, 1, 1, 0, 0, 0,
                                             }};

n23_spriterenderer_spritebase paddle_sprite = {
    .width = PADDLE_WIDTH,
    .height = PADDLE_HEIGHT,
    .data =
        {
            0, 0, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
            3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 0, 0, //
            0, 3, 3, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
            2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 0, //
            3, 3, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
            2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, //
            3, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
            2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 1, 1, //
            0, 2, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
            1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, //
            0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
            1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, //
        }

};